/* jQuery function to add a CLEditor object to the Redaxscript article editor */
/*jshint jquery:true */
$(document).ready(function ()
{
	'use strict';
	var vGecko = false;
	if (r.constant !== undefined)
	{
		// r.constant in redaxscript 1.2.1
		if (r.constant.MY_ENGINE === 'gecko')
		{
			vGecko = true;
		}
	}
	else
	{
		// r.constants in redaxscript 1.3+
		if (r.constants.MY_ENGINE === 'gecko')
		{
			vGecko = true;
		}
	}
	if (vGecko === true)
	/* Firefox needs a path from the Redaxscript base directory */
	{
		$("#text").cleditor({useCSS: true, docCSSFile: "modules/cleditor/styles/rs_plugin.css"});
	}
	else
	/* Everything else needs a relative path from the current URL */
	{
		$("#text").cleditor({useCSS: true, docCSSFile: "../../../modules/cleditor/styles/rs_plugin.css"});
	}
});